<?php

require_once ("../../config/Cado.php");

require_once ("cCuentatipo.php");

$oCuentatipo = new cCuentatipo();

if($_POST['action']=="editar")

{

	$dts=$oCuentatipo->mostrarUno($_POST['ele_id']);

	$dt = mysqli_fetch_array($dts);

	$cod=$dt['tb_cuentatipo_cod'];

	$des=$dt['tb_cuentatipo_nom'];

	$ord=$dt['tb_cuentatipo_ord'];

	mysqli_free_result($dts);

}

?>



				<form role="form" id="for_ele" method="POST">



					<input name="action_cuentatipo" id="action_cuentatipo" type="hidden" value="<?php echo $_POST['action']?>">

					<input name="hdd_ele_id" id="hdd_ele_id" type="hidden" value="<?php echo $_POST['ele_id']?>">





					<div class="box-header">

						<h3 class="box-title">Registro de tipo de cuentas</h3>

					</div>

					<div class="box-body">



						<div class="form-group">

							<div class="row">





								<div class="col-lg-3 col-xs-6">

									<label for="txt_ele_cod">Código:</label>

									<input name="txt_ele_cod" type="text" id="txt_ele_cod" value="<?php echo $cod?>" class="form-control" >

								</div>





								<div class="col-lg-5 col-xs-12">

									<label for="txt_ele_des">Descripción:</label>

									<input name="txt_ele_des" type="text" id="txt_ele_des" value="<?php echo $des?>" class="form-control">

								</div>





								<div class="col-lg-3 col-xs-12">

									<label for="txt_ele_ord">Orden:</label>

									<input name="txt_ele_ord" type="text" id="txt_ele_ord" value="<?php echo $ord?>" class="form-control">

								</div>





							</div>

						</div>

					</div>

				</form>

				<div class="box-footer float-right ">

				<button type="button" data-dismiss="modal" class="btn btn-default cancel">Cancelar</button>

				<button class="btn btn-primary" id="save_form">Guardar</button>

				</div>



<script type="text/javascript">



	$('#txt_ele_cod').focus();



	$('#txt_ele_des').change(function(){

		$(this).val($(this).val().toUpperCase());

	});



	$("#save_form").click(function() {

		$("#for_ele").submit();

	});



	$(document).ready(function() {



		$('#for_ele').bootstrapValidator({

	      message: 'This value is not valid',

	      feedbackIcons: {

	      	valid: 'glyphicon glyphicon-ok',

	      	invalid: 'glyphicon glyphicon-remove',

	      	validating: 'glyphicon glyphicon-refresh'

	      },

	      fields: {

	      	txt_ele_cod: {

	      		group: '.col-lg-2',

	      		validators: {

	      			notEmpty: {

	      				message: 'Este campo es requerido'

	      			}

	      		}

	      	},

	      	txt_ele_des: {

	      		group: '.col-lg-4',

	      		validators: {

	      			notEmpty: {

	      				message: 'Este campo es requerido'

	      			}

	      		}

	      	},

	      	txt_ele_ord: {

	      		group: '.col-lg-2',

	      		validators: {

	      			notEmpty: {

	      				message: 'Este campo es requerido'

	      			}

	      		}

	      	}

	      }

	  }).on('success.form.bv', function(e) {

	  	

	  	$.ajax({

	  		type: "POST",

	  		url: "../cuentatipo/cuentatipo_reg.php",

	  		async:true,

	  		dataType: "json",

	  		data: $("#for_ele").serialize(),

	  		beforeSend: function() { 

	  			

	  		},

	  		success: function(data){	

				$('.modal').modal('hide');

				$('.in').removeClass('modal-backdrop');			

				toastr["success"](data.ele_msj);	

				

	  			<?php

	  			if($_POST['vista']=="cmb_ele_id")

	  			{

	  				echo $_POST['vista'].'(data.ele_id)';

	  			}

	  			?>

	  		},

	  		complete: function(){

	  			<?php

	  			if($_POST['vista']=="cuentatipo_tabla")

	  			{

	  				echo $_POST['vista'].'()';

	  			}

	  			?>

	  		}

	  	});

	  });



	  $('#txt_ele_cod').focus();

	  $('#txt_ele_cod').keydown(function(ev) {

	  	if(ev.keyCode==13){ $('#txt_ele_des').focus(); return false;}

	  });

	  $('#txt_ele_des').keydown(function(ev) {

	  	if(ev.keyCode==13){ $('#txt_ele_ord').focus(); return false;}

	  });

	  $('#txt_ele_ord').keydown(function(ev) {

	  	if(ev.keyCode==13){ $('#save_form').focus(); return false;}

	  });





	});









	

</script>